#!/bin/sh
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

. /lib/svc/share/smf_include.sh

not_dom0() {
	platform=`uname -i`

	if [ $platform = i86xpv ]; then
		if [ ! -c /dev/xen/xenbus ]; then
			/usr/sbin/devfsadm -i xenbus
		fi
	fi

	if [ ! -c /dev/xen/privcmd ]; then
		return 0
	fi

	return 1
}

disable_xvm() {
	fmri=$1

	#
	# We cannot use profiles; instead we deliver as enabled, and
	# temporarily disable ourselves as needed.
	#
	echo "Not running domain 0: disabling related services"
	if [ $fmri = "all" ]; then
		svcadm disable -t svc:/system/xvm/store:default
		svcadm disable -t svc:/system/xvm/console:default
		svcadm disable -t svc:/system/xvm/xend:default
		svcadm disable -t svc:/system/xvm/domains:default
	else
		svcadm disable -t $fmri
	fi
	sleep 5 &
}
